const express = require("express");

const UserController = require("../controllers/users");

const router = express.Router();

/**
 * Ref: https://stackoverflow.com/questions/47101746/passport-auth-stuck-in-controller
 */
router.post("/login", UserController.login);

router.post("/logout", UserController.logout);

router.post("/refresh", UserController.refresh);

module.exports = router;

